// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#ifndef _RIMPL_STRICT_H_
#define _RIMPL_STRICT_H_

#include "robustimpl.h"

namespace ROPI
{
  class Rimpl_Strict : public RobustImpl
  {
    public:
      Rimpl_Strict(LP* _lp) : lp(_lp) {};
      LP generate_robust();
      Robustness_Method get_type();
      
    private:
      LP generate_finite();
      
      LP* lp;
  };
}

#endif
